﻿@model PROJETMODELE.Models.VML.TP.ClientVM
@using PROJETMODELE.Models.DAL;
@{
    Layout = null;
    StoreEntities db = new StoreEntities();
    PROJETMODELE.Tools.Services service = new PROJETMODELE.Tools.Services();
    var societe = db.TG_Variable.Find(1);
    int i = 0;
    string chemin = Server.MapPath("/Content/");
    string carreau_barre = System.IO.Path.Combine(chemin, "carreau-barre.png");
    string carreau = System.IO.Path.Combine(chemin, "carreau.png");
    List<PROJETMODELE.Controllers.HistoriqueController.JqwAjax> Data = (List<PROJETMODELE.Controllers.HistoriqueController.JqwAjax>)TempData["Data"];
}
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <style>
        .entete {
            text-align: center;
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        .header-fiche table {
            margin-bottom: 0px;
        }

        .header-fiche h3, .header-fiche h4 {
            margin: 0;
        }

         .fiche td {
            border-right: 1px solid;
            border-left: 1px solid;
            border-top: 1px solid;
            border-bottom: 1px solid;
        }

        .fiche thead td {
            border: 1px solid;
            text-align: center;
            font-weight: bold;
        }

        .fiche tbody tr td:first-child {
            text-align: center;
        }

        .fiche tbody tr:last-child td {
            border-bottom: 1px solid;
        }

        .fiche tfoot td {
            border: none;
        }

        div.footer {
            position: fixed;
            bottom: 0;
            top: auto;
            width: 100%;
            text-align: right;
            color: red;
        }
    </style>

</head>
<body>
    <table></table>
    <div class="pv-ue">
        <div class="header-fiche">
            <table>
                <tr>
                    <td class="gras">
                        <h3>@societe.Nom_Societe</h3>
                        <h4></h4>
                    </td>
                </tr>
                <tr>
                    <td>@societe.Description</td>
                </tr>
                <tr>
                    <td>@societe.Adresse </td>
                    <td> </td>
                    <td><b>@societe.Ville le,</b> @DateTime.Now.ToString("dd/MM/yyyy - HH:mm:ss")</td>
                </tr>
                <tr>
                    <td><b>Tel.</b> @societe.Telephone</td>
                </tr>
            </table>
        </div>
        <table class="entete">
            <tbody>
                <tr>
                    <td><h4><u>@Model.Nom</u></h4></td>
                </tr>
                <tr></tr>
            </tbody>
        </table>
        <br />
        <table class="fiche">
            <thead>
                <tr>
                    <th width="5%">N°</th>
                    <th width="15%">Date</th>
                    <th width="10%">Facture</th>
                    <th width="40%">Mouvement</th>
                    <th width="15%">Montant</th>
                    <th width="15%">Montant progessif</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Data)
                {
                    i++;

                    <tr>
                        <td style="text-align:center">@i</td>
                        <td style="text-align:center">@item.date.ToString("dd/MM/yyyy HH:mm")</td>
                        <td style="text-align:center">@item.numero</td>
                        <td style="text-align:center">@item.mouvement</td>
                        <td style="text-align:center">@item.montant</td>
                        <td style="text-align:center">@item.solde_progressif</td>
                    </tr>
                }

            </tbody>

        </table>
    </div>
</body>
</html>
